Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "sound-effects",
    "input": {
      "model": "elevenlabs-sound-effects",
      "prompt": "Thunder rumbling in the distance",
      "duration": 5
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "sound-effects",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits1 credit per second
Toolsound-effects

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYessound-effects
input.modelstringYeselevenlabs-sound-effects
input.promptstringYesDescription of the sound effect
input.durationstringNoOptions: auto, 1, 2, 3, 5, 10, 15, 20, 30 (default: auto)
input.prompt_influencenumberNoPrompt influence strength. Options: 0.1, 0.3, 0.5, 0.7, 0.9 (default: 0.3)
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "sound-effects",
    "input": {
      "model": "elevenlabs-sound-effects",
      "prompt": "Thunder rumbling in the distance",
      "duration": 5
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "sound-effects",
  "createdAt": "2024-01-15T10:30:00.000Z"
}